# $Revision: 1.31 $, $Date: 2007-02-12 22:09:25 $
#
# Conditional build:
%bcond_with	libGL		# build mesa's libGL
#
Summary:	Xgl X server
Summary(pl.UTF-8):	Serwer X Xgl
Name:		xorg-xserver-xgl
%define		_mesasnap	20061103
%define		_snap		20061108
Version:	0.0.%{_snap}
Release:	1
License:	MIT
Group:		X11/Servers
Source0:	xgl-%{_snap}.tar.bz2
# Source0-md5:	c1790723d80c8c6510dc93c8e804f65a
Source1:	Mesa-%{_mesasnap}.tar.gz
# Source1-md5:	1ef25af748d4c2a808ee4521a75c2579
Patch0:		%{name}-arrayobj.patch
URL:		http://www.freedesktop.org/wiki/Software/Xgl
# for glx headers
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	cpp
BuildRequires:	glitz-devel >= 0.5.5
BuildRequires:	libdrm-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXfont-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXres-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xorg-lib-libXxf86vm-devel
BuildRequires:	xorg-lib-libfontenc-devel
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-lib-libxkbui-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-bigreqsproto-devel
BuildRequires:	xorg-proto-compositeproto-devel
BuildRequires:	xorg-proto-damageproto-devel
BuildRequires:	xorg-proto-evieext-devel
BuildRequires:	xorg-proto-fixesproto-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel >= 1.4.7
BuildRequires:	xorg-proto-printproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-recordproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-resourceproto-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRequires:	xorg-proto-trapproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xcmiscproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86bigfontproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xf86miscproto-devel
BuildRequires:	xorg-proto-xf86vidmodeproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-makedepend
BuildRequires:	xorg-util-util-macros >= 0.99.2
# for rgb.txt
Requires:	xorg-app-rgb >= 0.99.3
Requires:	xorg-app-xkbcomp
# just for %{_includedir}/bitmaps dir
Requires:	xorg-data-xbitmaps
# xserver requires default fixed and cursosr fonts.
Requires:	xorg-font-font-alias
Requires:	xorg-font-font-cursor-misc
Requires:	xorg-font-font-misc-misc-base
# for new app-defaults location
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xorg server is a generally used X server which uses display hardware.
It requires proper driver for your display hardware.

This package contains Xgl server.

%description -l pl.UTF-8
Serwer Xorg to podstawowy serwer X wyświetlający obraz na karcie
graficznej. Do działania wymaga odpowiedniego sterownika.

Ten pakiet zawiera serwer Xgl.

%package libGL
Summary:	OpenGL library used inside Xgl
Summary(pl.UTF-8):	Biblioteka OpenGL używana wewnątrz Xgl
Group:		X11/Servers
Requires:	%{name} = %{version}-%{release}

%description libGL
OpenGL library used inside Xgl to allow rendering. You still need
normal OpenGL library (like nvidia's or ati's) to run Xgl.

%description libGL -l pl.UTF-8
BIblioteka OpenGL używana wewnątrz Xgl w celu umożliwienia
renderingu. Normalna biblioteka OpenGL (jak nvidii lub ati) jest
w dalszym ciągu potrzebna by uruchomić Xgl.

%prep
%setup -q -a1 -n xgl
#%%patch0 -p2

#cd Mesa-%{_mesasnap}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-glx \
	--enable-dri \
	--enable-xkb \
	--enable-xgl \
	--enable-xglx \
	--disable-aiglx \
	--disable-xorg \
	--disable-xprint \
	--disable-dmx \
	--disable-xvfb \
	--disable-xnest \
	--with-default-font-path="%{_fontsdir}/misc,%{_fontsdir}/TTF,%{_fontsdir}/OTF,%{_fontsdir}/Type1,%{_fontsdir}/CID,%{_fontsdir}/100dpi,%{_fontsdir}/75dpi" \
	--with-mesa-source="`pwd`/Mesa"

%{__make}

# build libGL from mesa snap
%if %{with libGL}
cd Mesa

%ifarch %{ix86}
targ=-x86
%else
targ=""
%endif

%{__make} linux${targ} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	OPT_FLAGS="%{rpmcflags} -fno-strict-aliasing" \
	XLIB_DIR=%{_libdir} \
	SRC_DIRS="glx/x11" \
	PROGRAM_DIRS=

%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/{*,*/*}.{la,a}

%if %{with libGL}
install -d $RPM_BUILD_ROOT%{_libdir}/xgl

cd Mesa/lib

install libGL.so.1.2 $RPM_BUILD_ROOT%{_libdir}/xgl
ln -s libGL.so.1.2 $RPM_BUILD_ROOT%{_libdir}/xgl/libGL.so.1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Xgl
%dir %{_libdir}/xorg/modules/xgl
%attr(755,root,root) %{_libdir}/xorg/modules/xgl/lib*.so

%if %{with libGL}
%files libGL
%defattr(644,root,root,755)
%dir %{_libdir}/xgl
%attr(755,root,root) %{_libdir}/xgl/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-xserver-xgl.spec,v $
Revision 1.31  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.29  2006/12/04 18:14:57  arekm
- xkbdata is deprecated in xorg 7.2

Revision 1.28  2006/12/01 15:40:41  patrys
- new snapshot (works with beryl)
- libGL off by default (does not build here and probably no longer needed)

Revision 1.27  2006/07/18 09:46:07  wolf
- proper fix for arrayobj
- rel 3

Revision 1.26  2006/07/17 10:27:06  shadzik
- Ups, change %{__make} -j10 into normal %{__make}, my bad

Revision 1.25  2006/07/14 14:49:16  shadzik
- very ugly build fix, now it builds
- rel 2
- FOR THE FUTURE: get Xgl from the git repository of the project, the cvs repositroy is obsolete

Revision 1.24  2006/07/11 20:14:42  czarny
 - up to 20060711

Revision 1.23  2006/06/10 13:16:08  czarny
- 20060610

Revision 1.22  2006/05/28 20:35:19  qboosh
- sorted BRs

Revision 1.21  2006/05/28 20:03:10  czarny
- few found BR's

Revision 1.20  2006/05/11 21:42:23  wolf
- 20060511

Revision 1.19  2006/05/05 15:03:06  wolf
- 20060505

Revision 1.18  2006/04/26 15:19:03  wolf
- 20060426

Revision 1.17  2006/04/24 18:23:48  wolf
- 20060424

Revision 1.16  2006/04/11 14:12:43  wolf
- 20060411

Revision 1.15  2006/04/09 17:40:13  wolf
- 20060409

Revision 1.14  2006/04/06 12:41:12  wolf
- 20060406

Revision 1.13  2006/03/20 21:39:11  wolf
- 20060320

Revision 1.12  2006/03/18 15:27:06  wolf
- 20060318

Revision 1.11  2006/03/17 17:01:55  czarny
- reverted my changes
- wolf said they're evil(tm)

Revision 1.10  2006/03/16 20:58:31  czarny
- a lot of Rs found while trying to run it on ac (yes - xorg on ac)
- TODO

Revision 1.9  2006/03/11 22:59:07  wolf
- 20060311
- BR fixes by lukasz.krotowski at gmail.com

Revision 1.8  2006/03/11 13:11:54  wolf
- correct building --without libGL (thanks to lukasz.krotowski at gmail.com)

Revision 1.7  2006/02/25 01:12:55  wolf
- build needed libGL
- rel 2

Revision 1.6  2006/02/23 19:01:16  wolf
- md5

Revision 1.5  2006/02/23 18:58:40  wolf
- snap 20060223
- supports fbo, but doesn't seem to have any effect. probably ati-related

Revision 1.4  2006/02/20 19:06:15  qboosh
- adjusted descs

Revision 1.3  2006/02/20 18:40:18  wolf
- remove some BRs

Revision 1.2  2006/02/20 16:39:36  wolf
- md5

Revision 1.1  2006/02/20 16:35:01  wolf
- builds, seems to work, BR & R heavily broken
